if [ -f /floppy/resolv.conf ] ; then
echo "Loading resolv.conf from floppy"
fromdos </floppy/resolv.conf >/etc/resolv.conf
else
echo "Could not find resolv.conf on floppy. Install one to use DNS."
fi

if [ -f /floppy/rc.net ] ; then
echo "Loading rc.net from floppy"
fromdos </floppy/rc.net >/etc/rc.net
. /etc/rc.net
else
echo "Could not find rc.net on floppy. Install one to use the network."
fi

cd /www
if [ -f /floppy/htpasswd ] ; then
echo "Loading htpasswd from floppy"
fromdos </floppy/htpasswd >.htpasswd
else
echo "Could not find htpasswd on floppy. Webserver will not be password protected."
fi
/sbin/mini_httpd -p 789 -u root -c \*.cgi
cd /
echo "Creating ramdisk for /var"
mkfs /dev/ram1 >/dev/null
mount /dev/ram1 /mnt
cp -a /var/* /mnt/
umount /mnt
mount /dev/ram1 /var
echo "Starting INETD."
inetd &
echo "Starting DHCPD on console 2."
cp /floppy/dhcpd.conf /etc
fromdos /etc/dhcpd.conf
dhcpd -d -f -cf /etc/dhcpd.conf 2>/dev/tty2 >/dev/tty2 </dev/tty2 &
echo "Starting TFTPD on console 3."
tftpd -d /floppy/tftp -c 64 -v 1 -h -s 1408 59 2>/dev/tty3 >/dev/tty3 </dev/tty3 &
echo "Spawning interactive shell:"
sh -i
